/*=========================================================================

  Program:   Visualization Toolkit
  Module:    vtkDualComboBoxSource.cxx

  Copyright (c) Ken Martin, Will Schroeder, Bill Lorensen
  All rights reserved.
  See Copyright.txt or http://www.kitware.com/Copyright.htm for details.

     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/
#include "vtkDualComboBoxSource.h"

#include "vtkObjectFactory.h"
#include <sstream>

vtkStandardNewMacro(vtkDualComboBoxSource);
//----------------------------------------------------------------------------
vtkDualComboBoxSource::vtkDualComboBoxSource()
{
  this->Options[0] = -1;
  this->Options[1] = -2;
}

//----------------------------------------------------------------------------
vtkDualComboBoxSource::~vtkDualComboBoxSource()
{
}

//----------------------------------------------------------------------------
void vtkDualComboBoxSource::SetOptions(int arg0, int arg1)
{
  std::ostringstream stream;
  stream << "Called SetOptions(" << arg0 << ", " << arg1 << ")" << endl;
  vtkOutputWindowDisplayText(stream.str().c_str());
  if (this->Options[0] != arg0 || this->Options[1] != arg1)
    {
    this->Options[0] = arg0;
    this->Options[1] = arg1;
    this->Modified();
    }
}

//----------------------------------------------------------------------------
void vtkDualComboBoxSource::PrintSelf(ostream& os, vtkIndent indent)
{
  this->Superclass::PrintSelf(os, indent);
}

