/*=========================================================================

  Program:   Visualization Toolkit
  Module:    vtkDualComboBoxSource.h

  Copyright (c) Ken Martin, Will Schroeder, Bill Lorensen
  All rights reserved.
  See Copyright.txt or http://www.kitware.com/Copyright.htm for details.

     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/
// .NAME vtkDualComboBoxSource 
// .SECTION Description

#ifndef __vtkDualComboBoxSource_h
#define __vtkDualComboBoxSource_h

#include "vtkSphereSource.h"

class vtkDualComboBoxSource : public vtkSphereSource
{
public:
  static vtkDualComboBoxSource* New();
  vtkTypeMacro(vtkDualComboBoxSource, vtkSphereSource);
  void PrintSelf(ostream& os, vtkIndent indent);

  void SetOptions(int arg0, int arg1);

//BTX
protected:
  vtkDualComboBoxSource();
  ~vtkDualComboBoxSource();

  int Options[2];
private:
  vtkDualComboBoxSource(const vtkDualComboBoxSource&); // Not implemented.
  void operator=(const vtkDualComboBoxSource&); // Not implemented.
//ETX
};

#endif

